Please upgrade here. These earlier versions are no longer being updated and have security issues.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.

Upgrade to Vanilla 2.1 : Something has gone wrong (and solution)*

This discussion was created from comments split from: Vanilla 2 Upgrading Tips.

There was an error rendering this rich post.

Comments

  • Hi,

    I tried to update and got this error: -

    **Something has gone wrong.

    We've run into a problem and are unable to handle this request right now.
    Please check back in a little while.**

    Is this me doing something wrong or is it something else?
    In honesty im so damn awful at doing things like this so i have probably broken my forum lol

    http://www.lookandleap.co.uk/forum/utility/update

  • XanderXander New
    edited April 2013

    @Xander said:
    Hi,

    I tried to update and got this error: -

    **Something has gone wrong.

    We've run into a problem and are unable to handle this request right now.
    Please check back in a little while.**

    Is this me doing something wrong or is it something else?
    In honesty im so damn awful at doing things like this so i have probably broken my forum lol

    http://www.lookandleap.co.uk/forum/utility/update



    ignore this....it actually worked :O

  • It looks like when upgrading from Vanilla 2.x to Vanilla 2.1 that the column AllIPAddresses doesn't get added. When you try couple of times in a row, that column will get added by the upgrade process. Of course in the Bug list there's already a bug number and it's resolved in 'development', but not in the current Beta version yet. Wait till next version.

    There was an error rendering this rich post.

  • whu606whu606 I'm not a SuperHero; I just like wearing tights... MVP

    It is a known issue with 2.1 upgrades.

    As others have pointed out in other threads, you can get around this by setting up a 'vanilla' install of 2.1, and then using the Vanilla Porter to import a DB from a 2.0.18 install.

  • I'm having this same problem after upgrading to 2.1b1, and my forum is down.

    Can you please say more about this workaround? What steps would I take to dissociate the current install from the existing database, and where can I find the Vanilla Porter?

  • I have updated it and when I go to my old posts show the error message
    How to fix?
    http://www.coffeepig.com.au/forum/discussion/244/latte-art-with-ghirardelli-chocolate-caramel-sauce-squeeze#latest

  • I have the same problem: Old posts show the "Something has gone wrong" message when you try to open them. Does this go away after a day?

  • For me, it turns out the problem was caused by the Thankful People plugin, which I have currently disabled until I can find one that works with Vanilla 2.1

  • I got the same problem, on my trial forum http://www.kantorgu.5gbfree.com/ . I'm still learn with this. Can anybody help me please? I need a guidance to solve this this problem. Thanks a lot everybody.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    Please try to delete the .ini files in the cache and also look at your cgi error logs in your server to find the exact error.

    Disable all the plugins you had enabled before which are the usual cause of this.

  • which one? I found the many .ini file in public_html.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    You need to delete the .ini files in the forum cache. Please become familiar with the folders from vanilla.

Sign In or Register to comment.